KDE 4.9 PyKDE API Reference

- KDE's Python API

# global Namespace Reference

`from PyKDE4.kparts import *`

## Detailed Description

## Class Index

B | H | PartManager (KParts)
BrowserArguments (KParts) | HistoryProvider (KParts) | PartSelectEvent (KParts)
BrowserExtension (KParts) | HtmlExtension (KParts) | Plugin (KParts)
BrowserHostExtension (KParts) | HtmlSettingsInterface (KParts) | PluginInfo (KParts.Plugin)
BrowserInterface (KParts) | L | R
BrowserOpenOrSaveQuestion (KParts) | LiveConnectExtension (KParts) | ReadOnlyPart (KParts)
BrowserRun (KParts) | M | ReadWritePart (KParts)
E | MainWindow (KParts) | S
Element (KParts.SelectorInterface) | O | ScriptableExtension (KParts)
Event (KParts) | OpenUrlArguments (KParts) | SelectorInterface (KParts)
F | OpenUrlEvent (KParts) | StatusBarExtension (KParts)
Factory (KParts) | P | T
FileInfoExtension (KParts) | Part (KParts) | TextExtension (KParts)
G | PartActivateEvent (KParts) | W
GUIActivateEvent (KParts) | PartBase (KParts) | WindowArgs (KParts)

## Functions

| qSwap (KParts.SelectorInterface.Element lhs, KParts.SelectorInterface.Element rhs)

## Function Documentation

qSwap | ( | KParts.SelectorInterface.Element | lhs,
|  | KParts.SelectorInterface.Element | rhs
| ) |  |  |